'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.isEmptyObjectOrArray = exports.PropTypes = exports.css = undefined;

var _reactSchema = require('react-schema');

Object.defineProperty(exports, 'PropTypes', {
  enumerable: true,
  get: function get() {
    return _reactSchema.PropTypes;
  }
});

var _ramda = require('ramda');

var _ramda2 = _interopRequireDefault(_ramda);

var _reactCss = require('js-util/lib/react-css');

var _reactCss2 = _interopRequireDefault(_reactCss);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

exports.css = _reactCss2.default;
var isEmptyObjectOrArray = exports.isEmptyObjectOrArray = function isEmptyObjectOrArray(value) {
  if (_ramda2.default.is(Object, value)) {
    return _ramda2.default.keys(value).length === 0;
  }
  if (_ramda2.default.is(Array, value)) {
    return value.length === 0;
  }
  return false;
};
//# sourceMappingURL=util.js.map